import Fastify from "fastify";
import { Yapper } from "./utils/Yapper";
import { getGrokAuthedCookies } from "./grokCookies";

const fastify = Fastify({
	loggerInstance: new Yapper(),
	disableRequestLogging: true
});

fastify.get("/", async (request, reply) => {
	reply.type("text/html");
	return "Hiiiiiii";
});

try {
	getGrokAuthedCookies();

	fastify.listen({
		port: 4935,
		host: "0.0.0.0"
	});
} catch (err) {
	fastify.log.error(err);
	process.exit(1);
}
